Bug 10947 - Default framework for authorities can't be edited
Summary: Default framework for authorities can't be edited
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14042
  Show dependency treegraph
 
Reported: 2013-09-25 15:28 UTC by Katrin Fischer
Modified: 2015-12-03 22:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 10947: Fix editing the default authority type (4.16 KB, patch)
2015-04-22 11:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
[Signed-off] Bug 10947: Fix editing the default authority type (4.35 KB, patch)
2015-04-22 13:29 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 10947: Fix editing the default authority type (4.40 KB, patch)
2015-04-22 19:17 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-09-25 15:28:07 UTC
It's currently not possible to change the description or other information about the authority type 'default' because the edit link is not working correctly. Because the default framework has no frameworkcode Koha thinks that you want to add a new framework.
Comment 1 Jonathan Druart 2015-04-22 11:48:10 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-04-22 13:29:41 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-04-22 19:17:23 UTC
Created attachment 38358 [details] [review]
[PASSED QA] Bug 10947: Fix editing the default authority type

The default authority type cannot be defined.
The authtypecode is en empty string and the tests should be done on
"defined", not "exist".

Test plan:
Edit the default authority type, save it.

Note: There is no way to create an authority with an empty string, with
you deleted you won't be able to recreate it.

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-05-19 12:30:24 UTC
Patch pushed to master.

Thanks Jonathan!